pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

multimedia/vlc does not configure (x11-xcb)

with pkgsrc 2011Q1, in pkg_comp with 5.0 userland running on 5.1.

This seems somewhat similar to my woes with kdelibs3, in the sense that
some pkgsrc infrastructure seems to go wrong. This time, it is x11-xcb.

Also, it seems like it could use some options for optional dependencies.
I see several in the configure output even though I don't know what they


and further up (logg not reproduced here)

libraw1394 >= 2.0.1
libavc1394 >= 0.5.3
MINIZIP,  unzip.h

configure: WARNING: Library dirac >= 0.10.0 needed for dirac was not found
checking for SCHROEDINGER... no
configure: WARNING: Library schroedinger-1.0 >= 1.0.10 needed for schroedinger 
was not found
checking png.h usability... yes
checking png.h presence... yes
checking for png.h... yes
checking for png_set_rows in -lpng... yes
checking for X264... yes
checking if linker supports -Bsymbolic... yes
checking for FLUIDSYNTH... no
configure: WARNING: Library fluidsynth needed for fluidsynth was not found
checking for ZVBI... no
configure: WARNING: ZVBI library not found. Enabling the telx module instead
checking for LIBASS... no
configure: WARNING: LIBASS library not found
checking for KATE... no
checking kate/kate.h usability... no
checking kate/kate.h presence... no
checking for kate/kate.h... no
checking for TIGER... no
checking for X... libraries /usr/X11R7/lib, headers /usr/X11R7/include
checking whether -R must be followed by a space... no
checking for gethostbyname... yes
checking for connect... (cached) yes
checking for remove... yes
checking for shmat... yes
checking for IceConnectionNumber in -lICE... yes
checking X11/Xlib.h usability... yes
checking X11/Xlib.h presence... yes
checking for X11/Xlib.h... yes
checking for XCB... yes
checking for XCB_SHM... yes
checking for XCB_XV... yes
checking for XCB_RANDR... yes
checking for XCB_KEYSYMS... yes
checking for XPROTO... yes
checking for XLIB_XCB... no
configure: error: Package requirements (x11-xcb) were not met:

No package 'x11-xcb' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables XLIB_XCB_CFLAGS
and XLIB_XCB_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
*** Error code 1

make: stopped in /usr/pkgsrc/multimedia/vlc
*** Error code 1

make: stopped in /usr/pkgsrc/multimedia/vlc

___ Olaf 'Rhialto' Seibert  -- There's no point being grown-up if you 
\X/ rhialto/at/    -- can't be childish sometimes. -The 4th Doctor

Home | Main Index | Thread Index | Old Index